homepage/urls.py
from django.urls import path
from . import views
#from .views import Join, sched_delete

app_name = 'homepage'

urlpatterns = [
    path('', views.Story3, name='Story3'),
    path('kenaldekat/', views.kenaldekat, name='kenaldekat'),
    path('skill/', views.halskill, name='halskill'),
    path('rpendidikan/', views.halrp, name='halrp'),
    path('hobi/', views.halhobi, name='halhobi'),
    path('pengalaman/', views.halpengalaman, name='halpengalaman'),
    path('kontak/', views.halkontak, name='halkontak'),
    path('detailjadwal/', views.DetailJadwal, name='DetailJadwal'),
    path('detailjadwal/<int:pk>', views.sched_delete, name = 'delete'),
    path('Jadwal/', views.Join , name = 'Jadwal')
    # dilanjutkan ...
]

story4/urls.py
from django.contrib import admin
from django.urls import path
from django.conf.urls import include;

urlpatterns = [
    path('admin/', admin.site.urls),
    path('',include('homepage.urls')),
    path('',include('formulir.urls')),
    path('',include('story7.urls')),
    path('',include('story8.urls')),
    path('',include('story9.urls')),
]

story9/urls.py
from django.urls import path
from . import views

app_name = 'story9'

urlpatterns = [
    path('login', views.login_view, name = 'login'),
    path('logout', views.logout_view, name = 'logout'),
    path('register', views.register_view, name = 'register')
]

story9/models.py
from django.db import models

# Create your models here.

story9/forms.py
from django import forms
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User


class formLogin(forms.Form):
    username = forms.CharField(widget=forms.TextInput(attrs={
        'class': 'form-control',
        'type': 'text',
        'placeholder': 'Masukan username',
        'required': True,
    }))
    password = forms.CharField(widget=forms.PasswordInput(attrs={
        'class': 'form-control',
        'type': 'password',
        'placeholder': 'Masukan password',
        'required': True,
    }))

class formRegister(UserCreationForm):
    class Meta:
        model = User
        fields = [
            'username', 'email', 'password1', 'password2'
        ]

story9/views.py
from django.shortcuts import render, redirect
from .forms import formLogin, formRegister
from django.contrib.auth import authenticate, login, logout
from django.contrib import messages

# Create your views here.
def login_view(request):
    form = formLogin()
    flag = False
    if request.method == 'POST':
        form = formLogin(request.POST)
        if form.is_valid():
            username = form.cleaned_data['username']
            password = form.cleaned_data['password']
            user = authenticate(request, username=username, password=password)
            if user is not None:
                login(request, user)
                flag = True
                response = {'form':form,'user':user,'flag':flag}
                return redirect('/login')
            else:
                response = {'form':form,'user':user,'flag':flag}
                return redirect('/login')

    else:
        response = {'form':form,'flag':flag}
        return render(request,'halLogin.html',response)

def register_view(request):
    if request.user.is_authenticated:
        return redirect('/register')
    else:
        form = formRegister()
        if request.method == 'POST':
            form = formRegister(request.POST)
            if form.is_valid():
                form.save()
                user = form.cleaned_data.get('username')
                messages.success(request,'Akun berhasil dibuat!' + user)
                return redirect('/login')

        context = {'form':form}
        return render(request,'halRegister.html',context)

def logout_view(request):
    logout(request)
    form = formLogin()
    response = {'form':form}
    return redirect('/login')

story9/templates/halLogin.html
{% include 'base.html' %}
{% load static %}
<!DOCTYPE html>
<html>
    <head>
        <link rel="stylesheet" href="{% static 'story9.css' %}">
    </head>

    <body>
        {% if user.is_authenticated %}
        <h1 class="judul">Selamat datang {{user.username}}!</h1>
        <a href="{% url 'homepage:Story3' %}">
            <div id="redirect">
                Klik disini untuk langsung ke web
            </div>
        </a>
        <div class="input">
            <a class ='btn btn-primary input' href="{% url 'story9:logout' %}">Logout</a>
        </div>
        {% else %}
        <h1 class="judul"> Selamat datang di Website saya!<br>
            Kamu harus login lebih dulu untuk bisa lanjut!
        </h1>
        <div class="form">
            <form action="" method="POST">
                {% csrf_token %} {{ form }}
                <div class="input">
                    <input type="submit" class="btn btn-primary" value="Login" id="submit">
                </div>
            </form>
        </div>
        <h4 class="judul2">Belum punya akun? <a href="{% url 'story9:register' %}">Daftar</a> </h4>
        {% endif %}
    </body>
</html>

story9/templates/halRegister.html
{% include 'base.html' %}
{% load static %}
<!DOCTYPE html>
<html>
    <head>
        <link rel="stylesheet" href="{% static 'story9.css' %}">
    </head>

    <body>
        <h1 class="judul">Form Daftar</h1>
        <form method="POST">
            {% csrf_token %}
            <div class="form">
                Username    : {{form.username}}
            </div>
            <div class="form">
                Email   : {{form.email}}
            </div>
            <div class="form">
                Password    : {{form.password1}}
            </div>
            <div class="form">
                Ulangi Password : {{form.password2}}
            </div></br>
            <div class="input">
                <input type="submit" class="btn btn-primary tombol" value="Register" id="submit"> 
            </div>
        </form>

    </body>
</html>